<template lang="pug">
#meals-page
  h1 Meals
  .ui.relaxed.list
    .item(
      v-for="food in meals"
      :key="food.class"
      )
      h2
        router-link(
          :to="{ name: 'items.one', params: { item: food.class } }"
          ) {{ food.name }}
      .ui.mini.statistics
        .statistic
          .value {{ food.calories }}
          .label Calories
        .statistic.blue
          .value {{ food.efficiency }}
          .label Effeciency
        .statistic(
          v-for="nutrient in food.nutrients"
          :class="nutrient.color"
          )
          .value {{ nutrient.value }}
          .label {{ nutrient.label }}
</template>

<script>
import Food from 'src/eco/Food'
import * as meals from 'src/data/meals'

export default {
  data () {
    return {
      meals: Object.values(meals).map(data => new Food(data))
    }
  },
  name: 'MealsComponent'
}
</script>

<style lang="sass" scoped>
</style>
